MagickCore: type.h File Reference

# type.h File Reference

Go to the source code of this file.

## Data Structures
struct | _TypeInfo
## Typedefs
typedef struct _TypeInfo | TypeInfo
## Enumerations
enum | StretchType { UndefinedStretch, NormalStretch, UltraCondensedStretch, ExtraCondensedStretch, CondensedStretch, SemiCondensedStretch, SemiExpandedStretch, ExpandedStretch, ExtraExpandedStretch, UltraExpandedStretch, AnyStretch }
enum | StyleType { UndefinedStyle, NormalStyle, ItalicStyle, ObliqueStyle, AnyStyle }
## Functions
MagickExport char ** | GetTypeList (const char *, unsigned long *, ExceptionInfo *)
MagickExport MagickBooleanType | ListTypeInfo (FILE *, ExceptionInfo *)
MagickExport const TypeInfo * | GetTypeInfo (const char *, ExceptionInfo *)
MagickExport const TypeInfo ** | GetTypeInfoByFamily (const char *, const StyleType, const StretchType, const unsigned long, ExceptionInfo *)
MagickExport const TypeInfo **** | GetTypeInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport void | DestroyTypeList (void)

## Typedef Documentation

typedef struct _TypeInfo TypeInfo

## Enumeration Type Documentation

enum StretchType

Enumerator:

  UndefinedStretch |
  NormalStretch |
  UltraCondensedStretch |
  ExtraCondensedStretch |
  CondensedStretch |
  SemiCondensedStretch |
  SemiExpandedStretch |
  ExpandedStretch |
  ExtraExpandedStretch |
  UltraExpandedStretch |
  AnyStretch |

enum StyleType

Enumerator:

  UndefinedStyle |
  NormalStyle |
  ItalicStyle |
  ObliqueStyle |
  AnyStyle |

## Function Documentation

MagickExport void DestroyTypeList | ( | void |  | ) |

MagickExport const TypeInfo* GetTypeInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const TypeInfo* * GetTypeInfoByFamily | ( | const char * | ,
|  | const | StyleType,
|  | const | StretchType,
|  | const unsigned long | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const TypeInfo* * ** GetTypeInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetTypeList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ListTypeInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |